# Factory.Named (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.common
Interface Factory.Named<T>

Type Parameters:
  `T` - type of object created by this factory

All Superinterfaces:
  Factory<T>

All Known Implementing Classes:
  AES128CBC.Factory, AES128CTR.Factory, AES192CBC.Factory, AES192CTR.Factory, AES256CBC.Factory, AES256CTR.Factory, BlowfishCBC.Factory, DelayedZlibCompression.Factory, DHG1.Factory, DHG14.Factory, HMACMD5.Factory, HMACMD596.Factory, HMACSHA1.Factory, HMACSHA196.Factory, JCERandom.Factory, MD5.Factory, NoneCipher.Factory, NoneCompression.Factory, OpenSSHKeyFile.Factory, PKCS8KeyFile.Factory, SHA1.Factory, SignatureDSA.Factory, SignatureRSA.Factory, TripleDESCBC.Factory, ZlibCompression.Factory

Enclosing interface:
  Factory<T>

    public static interface Factory.Named<T>

extends Factory<T>

Inteface for a named factory. Named factories are simply factories that are identified by a name. Such names are used mainly in SSH algorithm negotiation.

Nested Class Summary
`static class` `Factory.Named.Util` Utility functions

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.Factory
`Factory.Named<T>`

Method Summary
`String` `getName()`

Methods inherited from interface net.schmizz.sshj.common.Factory
`create`

Method Detail

### getName

    String getName()

  Returns:
    the name of this factory.

Copyright © 2009-2011. All Rights Reserved.